#include <iostream>
#include <cmath>
using namespace std;

int main()
{
    int n,m;
    cin>>n>>m;
    if(n==1 && m==1) cout<<1;
    if(n==1 || m==1) cout<<max(n,m);
    else{
        int br=floor((n-2)*(m-2)/2)+n+n+m+m-4;
        cout<<br;
    }

    return 0;
}